#!/bin/bash

if [ -f "$HOME/.vimrc" ]; then
  # backup old file
  mv "$HOME/.vimrc" "$HOME/.vimrc.old"
fi

ln -sf "`pwd`/.vimrc" "$HOME/.vimrc"

if [ -f "$HOME/.gitconfig" ]; then
  # backup old file
  mv "$HOME/.gitconfig" "$HOME/.gitconfig.old"
fi

ln -sf "`pwd`/.gitconfig" "$HOME/.gitconfig"

if [ ! -d "$HOME/.ssh" ]; then 
  mkdir -p "$HOME/.ssh"
fi

if [ -f "$HOME/.ssh/config" ]; then
  # backup old file
  mv "$HOME/.ssh/config" "$HOME/.ssh/config.old"
fi

cp "`pwd`/.ssh/config" "$HOME/.ssh/config"
